# Class SegmentTransmuxingTrackInfoAvailableEvent

#### Hierarchy

- SegmentEvent
  - SegmentTransmuxingTrackInfoAvailableEvent

#####
Index

### Constructors

constructor

### Properties

segmentInfo
trackInfo
type

## Constructors

### constructor

- new SegmentTransmuxingTrackInfoAvailableEvent(segmentInfo, trackInfo): SegmentTransmuxingTrackInfoAvailableEvent

- #### Parameters

  - segmentInfo: SegmentInfo
  - trackInfo: TrackInfo

  #### Returns SegmentTransmuxingTrackInfoAvailableEvent

  Overrides SegmentEvent.constructor

## Properties

### `Readonly` segmentInfo

segmentInfo: SegmentInfo

Inherited from SegmentEvent.segmentInfo

### `Readonly` trackInfo

trackInfo: TrackInfo

### `Readonly` type

type: "segmenttransmuxingtiminginfoavailable" = Events.SegmentTransmuxingTimingInfoAvailable

Overrides SegmentEvent.type